XSSPROXY(1)

NAME
xssproxy - forward freedesktop.org Idle Inhibition Service calls to Xss

SYNOPSIS
xssproxy [-v] [-i APP]

DESCRIPTION
xssproxy implements the org.freedesktop.ScreenSaver D-Bus interface described in the Idle Inhibition Service Draft by the freedesktop.org developers. The inhibition of the screensaver is then controlled using the XScreenSaverSuspend function from the Xss (X11 Screen Saver extension) library.

OPTIONS

-v --verbose
    print messages when receiving inhibition requests

-i --ignore
    do not disable the screensaver for this application ("*" to ignore all applications)

--version
    print version information and exit

EXAMPLES
To use run in your ~/.xinitrc file. The program doesn't return so you need to run it in the background.

    xssproxy &

AUTHOR
Written by Tim Schumacher.

REPORTING BUGS
Report bugs at the GitHub issue tracker <https://github.com/vincentbernat/xssproxy/issues>.